Loading...
Searching...
No Matches
load_balancer_policy.h File Reference
`#include <starpu_mpi_lb.h>`

Go to the source code of this file.

## Data Structures

struct | load_balancer_policy

## Variables

struct load_balancer_policy | load_heat_propagation_policy

## Data Structure Documentation

## load_balancer_policy

struct load_balancer_policy

A load balancer consists in a collection of operations on a data representing the load of the application (in terms of computation, memory, whatever). StarPU allows several entry points for the user. The load balancer allows the user to give its load balancing methods to be used on these entry points of the runtime system.

Data Fields
int(*)(struct starpu_mpi_lb_conf *) | init |
int(*)() | deinit |
void(*)(struct starpu_task *task) | submitted_task_entry_point |
void(*)(void) | finished_task_entry_point |
const char * | policy_name | Name of the load balancing policy. The selection of the load balancer is performed through the use of the STARPU_MPI_LB=name environment variable.